Skip to content

createChangeNoticeDraftMethod

DESTRUCTIVE

Create change notice draft method.

POST /api/v1/items/createChangeNoticeDraftMethod
curl -X POST '<your-host>/api/v1/items/createChangeNoticeDraftMethod' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "changeNoticeId": "string",
    "itemId": "string",
    "changeType": "Version"
  }'
Response
{
  "draftMakeMethodId": "string",
  "baseMakeMethodId": "string",
  "newItemId": "string"
}

Parameters

ParameterType
"Version""Revision""Replacement Part""New Part"

Input schema

schema
{
  "type": "object",
  "properties": {
    "changeNoticeId": {
      "type": "string"
    },
    "itemId": {
      "type": "string"
    },
    "changeType": {
      "type": "string",
      "enum": [
        "Version",
        "Revision",
        "Replacement Part",
        "New Part"
      ]
    },
    "revision": {
      "type": "string"
    }
  },
  "required": [
    "changeNoticeId",
    "itemId",
    "changeType"
  ]
}